

#[macro_use]
mod magic;
mod c_buffer;
mod plugin_info;
mod context;

pub use c_buffer::*;
pub use plugin_info::*;
pub use anyhow::Result;
pub use context::*;

pub trait DimPlugin {
    fn init(&mut self, ctx: Context);
    fn pre_reload(&mut self);
    fn post_reload(&mut self);
    fn poll(&mut self, f: &mut CBuffer) -> Result<()>;
    fn free(&mut self) {}
}







